%global with_python3 1

Name:           caribou
Version:        0.4.20
Release:        1%{?dist}
Summary:        A simplified in-place on-screen keyboard
License:        LGPLv2+
URL:            http://live.gnome.org/Caribou
Source0:        http://download.gnome.org/sources/caribou/0.4/caribou-%{version}.tar.xz
Patch0:         caribou-0.4.17-multilib.patch
Patch1:         caribou-0.4.17-fix-python-exec.patch

BuildRequires:  python2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  pygobject3-devel
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  clutter-devel
BuildRequires:  vala-devel
BuildRequires:  libXtst-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libgee-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  at-spi2-core-devel

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python-tools
BuildRequires: python3-gobject
%endif # with_python3


# Changing in F23 to pull python3-caribou default
Requires:       python3-%{name} = %{version}-%{release}
Requires:       gobject-introspection
Requires:       caribou-gtk2-module
Requires:       caribou-gtk3-module

#Following is needed as package moved from noarch to arch
Obsoletes:      caribou < 0.4.1-3
# Obsolete retired 'gok' to make sure it gets removed with distro upgrade
Obsoletes:      gok < 2.30.1-6

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Obsolete retired 'gok' to make sure it gets removed with distro upgrade
Obsoletes:      gok-devel < 2.30.1-6

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package     -n python-caribou
Summary:        Keyboard UI for %{name}
Requires:       pygobject3
Requires:       pyatspi
Requires:       %{name} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3
BuildArch:      noarch

%description  -n python-caribou
This package contains caribou python GUI

%if 0%{?with_python3}
%package     -n python3-caribou
Summary:        Keyboard UI for %{name}
Requires:       python3-gobject
Requires:       python3-pyatspi
Requires:       %{name} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3
BuildArch:      noarch

%description  -n python3-caribou
This package contains caribou python3 GUI
%endif

%package        gtk2-module
Summary:        Gtk2 module for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    gtk2-module
This package contains caribou module for gtk2 applications.

%package        gtk3-module
Summary:        Gtk3 module for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    gtk3-module
This package contains caribou module for gtk3 applications.

%package        antler
Summary:        Keyboard implementation for %{name}
Requires:       python-%{name} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    antler
This package contains caribou keyboard implementation for
non-gnome-shell sessions.

%prep
%setup -q
%patch0 -p1 -b .multilib
%patch1 -p1 -b .fix-python-exec

%build
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

%if 0%{?with_python3}
make clean
%configure --disable-static PYTHON=python3
2to3 -w caribou
2to3 -w tools
make install DESTDIR=%{buildroot} INSTALL="install -p"
%endif

find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :
desktop-file-validate $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop || :

%find_lang caribou

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun antler
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans antler
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f caribou.lang
%doc NEWS COPYING README
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_libdir}/girepository-1.0/Caribou-1.0.typelib
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/dbus-1/services/org.gnome.Caribou.Daemon.service
%{_datadir}/glib-2.0/schemas/org.gnome.caribou.gschema.xml
%{_libdir}/libcaribou.so.0*
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop
%{_libexecdir}/caribou

%files -n python-caribou
%{python_sitelib}/caribou

%if 0%{?with_python3}
%files -n python3-caribou
%{python3_sitelib}/caribou
%endif

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-1.0.pc
%{_datadir}/gir-1.0/Caribou-1.0.gir
%{_datadir}/vala

%files gtk2-module
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3-module
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so

%files antler
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_datadir}/glib-2.0/schemas/org.gnome.antler.gschema.xml


%changelog
* Tue Feb 16 2016 Richard Hughes <rhughes@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Oct 14 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.19-1
- Update to 0.4.19

* Fri Oct 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.18.1-3
- Resolves:rh#1228935: gnome-shell: strlen(): gnome-shell killed by SIGSEGV

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.18.1-1
- Update to 0.4.18.1

* Thu Apr 09 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.18-3
- Resolves:rh#1210302: Fix dependencies for python{,3}-caribou

* Thu Apr 02 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.18-2
- Change Cariou to pull python3-caribou default in F23

* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.18-1
- Update to 0.4.18

* Fri Feb 20 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.17-2
- Added python3 subpackage

* Tue Feb 17 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.4.17-1
- Update to 0.4.17

* Tue Nov 25 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.16-1
- Update to 0.4.16

* Tue Sep 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.4.15-1
- Update to 0.4.15

* Sun Sep 07 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.14-2
- Fix a possible crash with new dbus activation code (#1138934)

* Wed Sep 03 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.14-1
- Update to 0.4.14

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.13-6
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.13-4
- Rebuilt for cogl soname bump

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 0.4.13-3
- Rebuild for libevdev soname bump

* Wed Feb 05 2014 Kalev Lember <kalevlember@gmail.com> - 0.4.13-2
- Rebuilt for cogl soname bump

* Tue Nov 19 2013 Richard Hughes <rhughes@redhat.com> - 0.4.13-1
- Update to 0.4.13

* Sat Aug 24 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.12-1
- Update to 0.4.12

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 0.4.11-3
- Rebuilt for cogl 1.15.4 soname bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.11-1
- Update to 0.4.11

* Wed Mar 20 2013 Richard Hughes <rhughes@redhat.com> - 0.4.10-1
- Update to 0.4.10

* Mon Mar 04 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.9-1
- Update to 0.4.9

* Thu Feb 21 2013 Kalev Lember <kalevlember@gmail.com> - 0.4.8-2
- Rebuilt for cogl soname bump

* Tue Feb 19 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.8-1
- Update to 0.4.8

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.7-2
- vala .vapi and .deps files should be installed by -devel

* Wed Jan 16 2013 Parag Nemade <pnemade AT redhat DOT com> - 0.4.7-1
- Update to 0.4.7

* Thu Dec 20 2012 Parag Nemade <pnemade AT redhat DOT com> - 0.4.6-1
- Update to 0.4.6

* Tue Dec 18 2012 Parag Nemade <pnemade AT redhat DOT com> - 0.4.5-1
- Update to 0.4.5
- Resolves:rh#744852 - Pressing | in on-screen keyboard produces <
- Resolves:rh#880379 - Another service acquired %%s, quitting..
- Resolves:rh#880382

* Wed Nov 21 2012 Parag Nemade <pnemade AT redhat DOT com> - 0.4.4.2-6
- Resolves:rh#878716 - need some spec cleanup

* Thu Nov 15 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.4.2-5
- Apply patch1

* Tue Nov 13 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.4.2-4
- Patch from Rui Matos for exec python in shell shim scripts

* Tue Nov 13 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.4.2-3
- Fix multilib patch

* Tue Nov 13 2012 Rui Matos <tiagomatos@gmail.com> - 0.4.4.2-2
- Fix dependencies, caribou and antler both need python-caribou

* Tue Nov 13 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.4.2-1
- Update to 0.4.4.2 release

* Thu Sep 06 2012 Richard Hughes <hughsient@gmail.com> - 0.4.4-1
- Update to 0.4.4

* Wed Jul 25 2012 Kalev Lember <kalevlember@gmail.com> - 0.4.3-3
- Correct the obsoletes

* Tue Jul 24 2012 Kalev Lember <kalevlember@gmail.com> - 0.4.3-2
- Obsolete gok

* Thu Jul 19 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.3-1
- Update to 0.4.3 release

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 27 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.2-1
- Update to 0.4.2 release

* Tue Feb 07 2012 Parag Nemade <pnemade AT redhat.com> - 0.4.1-5
- Resolves:rh#768033 - Update Requires for caribou

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec 09 2011 Parag Nemade <pnemade AT redhat.com> - 0.4.1-3
- split package to subpackages -gtk2-module, -gtk3-module, -antler and python-caribou

* Thu Nov 17 2011 Parag Nemade <pnemade AT redhat.com> - 0.4.1-2
- Resolves:rh#753149 - Upgraded F15 -> F16 gnome fails - wrong version of caribou

* Tue Oct 18 2011 Parag Nemade <pnemade AT redhat.com> - 0.4.1-1
- upstream release 0.4.1

* Tue Sep 27 2011 Parag Nemade <pnemade AT redhat.com> - 0.4.0-1
- upstream release 0.4.0

* Tue Sep 20 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.92-1
- upstream release 0.3.92

* Tue Sep 06 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.91-1
- Update to new upstream release 0.3.91

* Wed Aug 31 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.5-2
- Rebuild with pygobject3

* Thu Aug 18 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Tue Jul 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.3-1
- Update to new upstream release 0.3.3

* Thu Jun 16 2011 Tomas Bzatek <tbzatek@redhat.com> - 0.3.2-2
- Tweak BuildRequires

* Tue Jun 14 2011 Parag Nemade <pnemade AT redhat.com> - 0.3.2-1
- Update to new upstream release 0.3.2

* Fri May  6 2011 Christopher Aillon <caillon@redhat.com> - 0.2.00-3
- Update scriptlets per packaging guidelines

* Thu May 05 2011 Parag Nemade <pnemade AT redhat.com> - 0.2.00-2
- Caribou now only be shown in GNOME. (rh#698603)
- Add desktop-file-validate for caribou-autostart.desktop
- Add ||: for caribou-autostart.desktop to skip the error.

* Tue Apr  5 2011 Matthias Clasen <mclasen@redhat.com> - 0.2.00-1
- Update to 0.2.00

* Tue Mar 22 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.92-1
- Update to 0.1.92

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.91-1
- Update to 0.1.91

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.7-1
- Update to 0.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-3
- Require pyatspi, not at-spi-python

* Sat May 29 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-2
- Rewrite spec for autotools

* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Wed Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
